Subject: Re: innd and innxmit not resolving host address

From: [email-masked] (Dave Sill)
Date: 9 Mar 1994 15:56:30 GMT

In article <[email-masked]>, [email-masked] (Johnny Kwan) writes:
>I've built inn-1.4 on a DEC alpha running OSF/1 V. 1.3.
>Everything seems to work just fine except that the numeric IP
>addresses have to be used in hosts.nntp, and when ruuning nntpsend
>to feed another site. I guess a simple configuration change should
>fix the problem. Anyone has any idea?

You need to patch the source, I'm afraid.  Here's a message describing what needs
to be done:

From: [email-masked] (Rich Salz)
Newsgroups: news.software.nntp
Subject: Re: INN on OSF/1 Alpha?
Date: 10 Nov 1993 10:55:25 -0500

In article <[email-masked]> [email-masked]
DU (Roland Schemers) writes:
>Has any brave soul compiled INN 1.4 on an OSF/1 Alpha machine?

There are a number of people running INN on an the Alpha.  There is
one set of changes that have to be made.  Find all uses of inet_addr
(innd/rc.c, lib/remopen.c, backends/rcompress.c) and replace the
related "unsigned long" declarations or casts with "unsigned int".

Of course, this will be addressed in 1.5, whenever that comes out.

Early versions of the Alpha C compiler/library had a bug that caused
timezones to come out real wierd.  The work-around is to edit line 34
of lib/gettime.c like this:
    Now->usec = (int)tv.tv_usec;
                ^^^^^ new.
You don't have to make this change for OSF/1 1.3; you did have to make it
for the 1.1 release; I don't know about 1.2
        /r$

-- 
Dave Sill ([email-masked])         I dream of a televisionland where it will be
Martin Marietta Energy Systems   as hard for a network to expose us to violence
Workstation Support              as it is for me to tell someone they have
                                 spinach on their teeth.  --Paula Poundstone
URL http://www.dec.com/pub/DEC/DECinfo/html/dsill.html